using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Nadovezivanje
{
    class Program
    {
        static void Main(string[] args)
        {
            ulong A,B,C,m;
            string izl;

            A = Convert.ToUInt64(Console.Read());
            B = Convert.ToUInt64(Console.Read());
            C = Convert.ToUInt64(Console.ReadLine());

            if(C>B)
            {
                m = C;
                C = B;
                B = m;
            }

            if(B>A)
            {
                m = B;
                B = A;
                A = m;
            }

            izl = A.ToString() + B.ToString() + C.ToString();
            Console.WriteLine(izl);
            
        }
    }
}